<div id="attack-container" class="attacker-container">
  <div class="frames-container">
    <h3>Error: {{error}}</h3>
  </div>
  <div class="frames-container">
    <div class="data-item">
      <h4>Frames</h4>
      <p *ngIf="frames">{{frames}}</p>
    </div>
    <div class="data-item">
      <h4>LocalStorage Data</h4>
      <p *ngIf="secret">{{secret}}</p>
    </div>
    <div class="data-item">
      <h4>Data of IndexedDB</h4>
      <p *ngFor="let c of data">{{c|json}}</p>
    </div>
    <div class="data-item">
      <h4>Cookies:</h4>
      <p *ngIf="cookies">{{cookies}}</p>
    </div>
  </div>
  <div class="button-container">
    <button (click)="resetError()">Clear error message</button>
    <button (click)="showAllFrames()">Show all frames</button>
    <button (click)="getDataFromDataBase()">Read data from IndexedDB</button>
    <button (click)="createIndexedDb()">Create own IndexedDB</button>
    <button (click)="readFromOwnDB()">Show own IndexedDB entries</button>
    <button (click)="setBackgroundColorOfWbc()">Set wbc background to red</button>
    <button (click)="setBackgroundColorOfApp()">Set app background to red</button>
    <button (click)="setBackgroundColorOfAllApps()">Set background of all apps to red</button>
    <button (click)="showLocalStorage()">Show local storage secret</button>
    <button (click)="setLocalStorage()">Set value to local storage</button>
    <button (click)="readCookies()">Read Cookies</button>
    <button (click)="writeCookie()">Write own Cookie</button>
    <button (click)="openPopup()">Open popup</button>
    <button (click)="openTap()">Open google tab</button>
    <button (click)="readSessionStorage()">Read session storage</button>
    <button (click)="writeSessionStorage()">Write session storage</button>
    <button (click)="clearSessionStorage()">Clear session storage</button>
  </div>
</div>
